<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright © 2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Modified by PHP-Fusion SF Group
| Copyright © 2007 by SF
| http://www.rus-phpfusion.com/
+----------------------------------------------------*/
require_once "../maincore.php";
require_once FORUM."subheader.php";
if ($settings_forum['show_panel'] == 1){
	require_once BASEDIR."side_left.php";
}
include LOCALE.LOCALESET."forum/main.php";

if (!isset($lastvisited) || !isNum($lastvisited)) $lastvisited = time();

$threads_per_page = $settings_forum['forumn'];

if (!FUSION_QUERY || !$forum_id || !isNum($forum_id)) fallback("index.php");

$result = dbquery(
	"SELECT f.*, f2.forum_name AS forum_cat_name
	FROM ".$db_prefix."forums f
	LEFT JOIN ".$db_prefix."forums f2 ON f.forum_cat=f2.forum_id
	WHERE f.forum_id='".$forum_id."'"
);
if (dbrows($result)) {
	$data = dbarray($result);
	if (!checkgroup($data['forum_access']) || !$data['forum_cat']) fallback("index.php");
} else {
	fallback("index.php");
}
$can_post = checkgroup($data['forum_posting']);

$caption = $data['forum_cat_name']." | ".$data['forum_name'];
// subforum
$subForums = dbquery("SELECT * FROM ".$db_prefix."forums WHERE forum_sub='$forum_id'");
if(dbrows($subForums)){
opentable($settings_forum['forumname']."&nbsp;-&nbsp;".$locale['575']);
echo "<table cellpadding='0' cellspacing='0' width='98%' class='tbl-border' align='center'>
<tr>
<td>
<table border='0' cellpadding='0' cellspacing='1' width='100%'>
<tr>
<td colspan='2' class='tbl2'><center>".$locale['401']."</center></td>
<td align='center' width='50' class='tbl2'>".$locale['402']."</td>
<td align='center' width='50' class='tbl2'>".$locale['403']."</td>
<td width='120' class='tbl2'>".$locale['404']."</td>
</tr>\n";

$forum_list = ""; $current_cat = "";
$result = dbquery(
	"SELECT f.*, COUNT(t.thread_id) AS thread_count, MAX(t.thread_lastpost) AS last_post, f2.forum_name AS forum_cat_name, u.user_id, u.user_name FROM ".$db_prefix."forums f
	LEFT JOIN ".$db_prefix."threads t USING(forum_id)
	LEFT JOIN ".$db_prefix."forums f2 ON f.forum_cat = f2.forum_id
	LEFT JOIN ".$db_prefix."users u ON f.forum_lastuser = u.user_id
	WHERE ".groupaccess('f.forum_access')." AND f.forum_cat!='0' AND f.forum_sub='$forum_id' GROUP BY forum_id ORDER BY f2.forum_order ASC, f.forum_order ASC"
);
	while ($data = dbarray($result)) {

		$moderators = "";
		if ($data['forum_moderators']) {
			$res = "user_id='".str_replace(".", "' OR user_id='", $data['forum_moderators'])."'";
			$result2 = dbquery("SELECT user_id,user_name FROM ".$db_prefix."users WHERE (".$res.")");
			while ($data2 = dbarray($result2)) {
				if ($moderators) $moderators .= ", ";
				$moderators .= "<a href='".BASEDIR."profile.php?lookup=".$data2['user_id']."'>".$data2['user_name']."</a>";
			}
		}
		if ($data['last_post'] > $lastvisited) {
			$fim = "<img src='".THEME."forum/foldernew.gif' alt='".$locale['560']."'>";
		} else {
			$fim = "<img src='".THEME."forum/folder.gif' alt='".$locale['561']."'>";
		}
		echo "<tr>
<td align='center' class='tbl2' width='5%'>$fim</td>
<td class='tbl1'><a href='viewforum.php?forum_id=".$data['forum_id']."'>".$data['forum_name']."</a><br>
<span class='small'>".$data['forum_description'].($moderators ? "<br>\n".$locale['411'].$moderators."</span></td>\n" : "</span></td>\n")."
<td align='center' class='tbl2'>".$data['thread_count']."</td>
<td align='center' class='tbl1'>".dbcount("(post_id)", "posts", "forum_id='".$data['forum_id']."'")."</td>
<td class='tbl2' width='20%'>";
$data9 = dbarray(dbquery("SELECT * FROM ".$db_prefix."threads WHERE forum_id='".$data['forum_id']."' ORDER BY thread_lastpost DESC"));
$lastp = dbarray(dbquery("SELECT min(post_datestamp) as post_datestamp FROM ".$db_prefix."posts WHERE forum_id='".$data['forum_id']."' AND thread_id='".$data9['thread_id']."' AND post_datestamp>'$lastvisited'"));
$minlp = dbarray(dbquery("SELECT post_id FROM ".$db_prefix."posts WHERE post_datestamp>='".$lastp['post_datestamp']."'"));
		if ($data['forum_lastpost'] == 0) {
			echo $locale['405']."</td>\n</tr>\n";
		} else {
			echo showdate("forumdate", $data['forum_lastpost'])."<br>
<span class='small'><b>".$locale['406'].": </b><a href='".BASEDIR."profile.php?lookup=".$data['forum_lastuser']."'>".$data['user_name']."</a></span><br />
<span class='small'><b>Tема: </b><a href='".FORUM."viewthread.php?forum_id=".$data9['forum_id']."&thread_id=".$data9['thread_id']."&pid=
".$minlp['post_id']."#post_".$minlp['post_id']."' title='К первому непрочитанному'>".$data9['thread_subject']."</a></span>
</td>
</tr>\n";
		}
	}
echo "</table>
</td>
</tr>
</table>";
closetable();
tablebreak();
tablebreak();
tablebreak();
}

opentable($locale['450']);	
echo "<table cellspacing='0' cellpadding='0' width='98%' align='center'>
<tr>
<td class='smallalt'>
Вернуться на сайт: <a href='../index.php'>".$settings['sitename']."</a><br /><br />
<a href='index.php'>".$settings_forum['forumname']."</a> | $caption</td>\n";
if (iMEMBER && $can_post) {
	echo "<td align='right'>
<a href='post.php?action=newthread&amp;forum_id=$forum_id'><img src='".THEME."forum/newthread.gif' alt='".$locale['566']."' style='border:0px;'></a><br /><br />
</td>\n";
}
echo "</tr>
</table>\n";

$rows = dbrows(dbquery("SELECT * FROM ".$db_prefix."threads WHERE forum_id='$forum_id' AND thread_sticky='0'"));
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

if ($rows > $threads_per_page) {
	echo "<div align='center' style='margin-top:5px;margin-bottom:5px;'>
".makePageNav($rowstart,20,$rows,3,FUSION_SELF."?forum_id=$forum_id&amp;")."
</div>\n";
}

echo "<table cellpadding='0' cellspacing='0' width='98%' align='center' class='tbl-border'>
<tr>
<td>
<table cellspacing='1' cellpadding='0' width='100%'>
<tr>
<td width='20' class='tbl2'>&nbsp;</td>
<td class='tbl2'>".$locale['451']."</td>
<td width='100' class='tbl2'>".$locale['452']."</td>
<td align='center' width='50' class='tbl2'>".$locale['453']."</td>
<td align='center' width='50' class='tbl2'>".$locale['454']."</td>
<td width='120' class='tbl2'>".$locale['404']."</td>
</tr>\n";

if ($rowstart == 0) {	
	$result = dbquery(
		"SELECT t.*, COUNT(p.post_id) AS thread_replies, tu1.user_name AS user_author, tu2.user_name AS user_lastuser, tp.poll_id FROM ".$db_prefix."threads t
		LEFT JOIN ".$db_prefix."posts p USING(thread_id)
		LEFT JOIN ".$db_prefix."users tu1 ON t.thread_author = tu1.user_id
		LEFT JOIN ".$db_prefix."users tu2 ON t.thread_lastuser = tu2.user_id
		LEFT JOIN ".$db_prefix."forum_thread_polls tp ON t.thread_id = tp.thread_id
		WHERE t.forum_id='$forum_id' AND thread_sticky='1' GROUP BY thread_id ORDER BY thread_lastpost DESC"
	);
		
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			if ($data['thread_locked']) {
			echo "<tr>\n<td align='center' width='25' class='tbl2'><img src='".THEME."forum/folderlock.gif' alt='".$locale['564']."'></td>";
		} else  {
			
			if ($data['thread_replies'] > 20)
					{						 
             	 
             	 if ($data['thread_lastpost'] > $lastvisited) {
					$folder = "<img src='".THEME."forum/foldernew.gif' alt='".$locale['560']."'>";
					} else {
					$folder = "<img src='".THEME."forum/folderhot.gif' alt='".$locale['560']."'>";
					}
             	 } else {
                 if ($data['thread_lastpost'] > $lastvisited) {
					$folder = "<img src='".THEME."forum/foldernew.gif' alt='".$locale['560']."'>";
					} else {
					$folder = "<img src='".THEME."forum/folder.gif' alt='".$locale['561']."'>";
					}
             	 }
			
			
			echo "<tr>\n<td align='center' width='25' class='tbl2'>$folder</td>";
		}
			$reps = ceil($data['thread_replies'] / $threads_per_page);
			$threadsubject = ($data['poll_id'] ? "<img src=".IMAGES."poll.gif> " : "")."<a href='viewthread.php?forum_id=$forum_id&amp;thread_id=".$data['thread_id']."'>".$data['thread_subject']."</a>";
			if ($reps > 1) {
				$ctr = 0; $ctr2 = 1; $pages = "";
				while ($ctr2 <= $reps) {
					$pnum = "<a href='viewthread.php?forum_id=$forum_id&amp;thread_id=".$data['thread_id']."&amp;rowstart=$ctr'>$ctr2</a> ";
					$pages = $pages.$pnum; $ctr = $ctr + $threads_per_page; $ctr2++;
				}
				$threadsubject .= " - (".$locale['412'].trim($pages).")";
			}
			echo "<td class='tbl1'><img src='".THEME."forum/stickythread.gif' alt='".$locale['560']."' style='vertical-align:middle;'>
$threadsubject</td>
<td class='tbl2'><a href='../profile.php?lookup=".$data['thread_author']."'>".$data['user_author']."</a></td>
<td align='center' class='tbl1'>".$data['thread_views']."</td>
<td align='center' class='tbl2'>".($data['thread_replies']-1)."</td>
<td class='tbl1'>".showdate("forumdate", $data['thread_lastpost'])."<br>
<span class='small'>".$locale['406']."<a href='../profile.php?lookup=".$data['thread_lastuser']."'>".$data['user_lastuser']."</a></span></td>
</tr>\n";
		}
		echo "<tr><td COLSPAN='6' class='tbl2'>темы форума</td></tr>";
		$threadcount = dbrows($result);
	} else {
		$threadcount = 0;
	}
}

if ($rows != 0) {
	$result = dbquery(
		"SELECT t.*, COUNT(p.post_id) AS thread_replies, tu1.user_name AS user_author, tu2.user_name AS user_lastuser, tp.poll_id FROM ".$db_prefix."threads t
		LEFT JOIN ".$db_prefix."posts p USING(thread_id)
		LEFT JOIN ".$db_prefix."users tu1 ON t.thread_author = tu1.user_id
		LEFT JOIN ".$db_prefix."users tu2 ON t.thread_lastuser = tu2.user_id
		LEFT JOIN ".$db_prefix."forum_thread_polls tp ON t.thread_id = tp.thread_id
		WHERE t.forum_id='$forum_id' AND thread_sticky='0' GROUP BY thread_id ORDER BY thread_lastpost DESC LIMIT $rowstart,20"
	);
	$numrows = dbrows($result);
	while ($data = dbarray($result)) {		
		if ($data['thread_locked']) {
			echo "<tr>\n<td align='center' width='25' class='tbl2'><img src='".THEME."forum/folderlock.gif' alt='".$locale['564']."'></td>";
		} else  {
			
			if ($data['thread_replies'] > 20)
					{						 
             	 
             	 if ($data['thread_lastpost'] > $lastvisited) {
					$folder = "<img src='".THEME."forum/foldernew.gif' alt='".$locale['560']."'>";
					} else {
					$folder = "<img src='".THEME."forum/folderhot.gif' alt='".$locale['560']."'>";
					}
             	 } else {
                 if ($data['thread_lastpost'] > $lastvisited) {
					$folder = "<img src='".THEME."forum/foldernew.gif' alt='".$locale['560']."'>";
					} else {
					$folder = "<img src='".THEME."forum/folder.gif' alt='".$locale['561']."'>";
					}
             	 }
			
			
			echo "<tr>\n<td align='center' width='25' class='tbl2'>$folder</td>";
		}
		$reps = ceil($data['thread_replies'] / $threads_per_page);
		$threadsubject = ($data['poll_id'] ? "<img src=".IMAGES."poll.gif> " : "")."<a href='viewthread.php?forum_id=$forum_id&amp;thread_id=".$data['thread_id']."'>".$data['thread_subject']."</a>";
		if ($reps > 1) {
			$ctr = 0; $ctr2 = 1; $pages = "";
			while ($ctr2 <= $reps) {
				$pnum = "<a href='viewthread.php?forum_id=$forum_id&amp;thread_id=".$data['thread_id']."&amp;rowstart=$ctr'>$ctr2</a> ";
				$pages = $pages.$pnum; $ctr = $ctr + $threads_per_page; $ctr2++;
			}
			$threadsubject .= " - (".$locale['412'].trim($pages).")";
		}
		echo "</><td class='tbl1'>$threadsubject</td>
<td class='tbl2'><a href='../profile.php?lookup=".$data['thread_author']."'>".$data['user_author']."</a></td>
<td align='center' class='tbl1'>".$data['thread_views']."</td>
<td align='center' class='tbl2'>".($data['thread_replies']-1)."</td>
<td class='tbl1' width='20%'>".showdate("forumdate", $data['thread_lastpost'])."<br>
<span class='small'><b>последнее сообщение: </b><a href='../profile.php?lookup=".$data['thread_lastuser']."'>".$data['user_lastuser']."</a></span><br />
</td>
</tr>\n";
	}
} else {
	if ($threadcount == 0) {
		echo "<tr>\n<td colspan='6' class='tbl1'>".$locale['455']."</td>\n</tr>\n";
	}
}

echo "</table>
</td>
</tr>
</table>\n";

if ($rows > $threads_per_page) {
	echo "<div align='center' style='margin-top:5px;'>
".makePageNav($rowstart,20,$rows,3,FUSION_SELF."?forum_id=$forum_id&amp;")."
</div>\n";
}

$forum_list = ""; $current_cat = "";
$result = dbquery(
	"SELECT f.forum_id, f.forum_name, f2.forum_name AS forum_cat_name
	FROM ".$db_prefix."forums f
	INNER JOIN ".$db_prefix."forums f2 ON f.forum_cat=f2.forum_id
	WHERE ".groupaccess('f.forum_access')." AND f.forum_cat!='0' ORDER BY f2.forum_order ASC, f.forum_order ASC"
);
while ($data2 = dbarray($result)) {
	if ($data2['forum_cat_name'] != $current_cat) {
		if ($current_cat != "") $forum_list .= "</optgroup>\n";
		$current_cat = $data2['forum_cat_name'];
		$forum_list .= "<optgroup label='".$data2['forum_cat_name']."'>\n";
	}
	$sel = ($data2['forum_id'] == $data['forum_id'] ? " selected" : "");
	$forum_list .= "<option value='".$data2['forum_id']."'$sel>".$data2['forum_name']."</option>\n";
}
$forum_list .= "</optgroup>\n";
echo "<table width='98%' align='center' cellpadding='0' cellspacing='0' style='margin-top:5px;'>
<tr>
<td align='left' class='tbl'>".$locale['540']."<br>
<select name='jump_id' class='textbox' onChange=\"jumpForum(this.options[this.selectedIndex].value);\">
$forum_list</select></td>\n";
if (iMEMBER && $can_post) {
	echo "<td align='right' class='tbl'>
<a href='post.php?action=newthread&amp;forum_id=$forum_id'><img src='".THEME."forum/newthread.gif' alt='".$locale['566']."' style='border:0px;'></a>
</td>\n";
}
echo "</tr>
</table>\n";

echo "<table cellpadding='0' cellspacing='0' width='98%' align='center'>
<tr>
<td class='tbl1'>
<img src='".THEME."forum/foldernew.gif' alt='".$locale['560']."' style='vertical-align:middle;'> - ".$locale['456']."(
<img src='".THEME."forum/folderhot.gif' alt='".$locale['562']."' style='vertical-align:middle;'> - ".$locale['457']." )<br>
<img src='".THEME."forum/folder.gif' alt='".$locale['561']."' style='vertical-align:middle;'> - ".$locale['458']."<br>
<img src='".THEME."forum/folderlock.gif' alt='".$locale['564']."' style='vertical-align:middle;'> - ".$locale['459']."<br>
<img src='".THEME."forum/stickythread.gif' alt='".$locale['563']."' style='vertical-align:middle;'> - ".$locale['460']."<br />
<img src=".IMAGES."poll.gif alt='голосование' style='vertical-align:middle;'> - Голосование</td>
</tr>
</table>\n";
closetable();

echo "<script type='text/javascript'>
function DeleteItem() {
	return confirm('Delete this thread?');
}
function jumpForum(forumid) {
	document.location.href='".FORUM."viewforum.php?forum_id='+forumid;
}
</script>\n";

if ($settings_forum['show_panel'] == 1){
	require_once BASEDIR."side_right.php";
}
require_once FORUM."footer.php";
?>